GROMACS - Task #3082
Task # 3370 (New): Further improvements to GPU Buffer Ops and Comms
Feature # 2915 (In Progress): GPU direct communications
move launch/synchronization points to clarify task dependencies
09/09/2019 06:12 PM - Szilard Pall

Status: New

Priority: High
Assignee:

Category: mdrun

Target version: 2021
Difficulty: uncategorized
Description

The direct communication changes introduce new dependencies which are currently satisfied using function calls that lead to position
dependent brittle code and as a side-effect suboptimal code essentially eliminating asynchrony.

Data dependencies should be reassessed after integration:
e data movement should be initiated as soon as a producer generates data (rather than right before the communication call
invocation);
¢ synchronization should be async whenever possible and when synchronous, done as late as possible, close to the consumer of
the data rather than bundled with the data transfer function.

Concrete cases to consider:

e TODO

Related issues:
Related to GROMACS - Feature #2890: GPU Halo Exchange In Progress

History

#1 - 10/11/2019 05:26 PM - Szilard Pall
- Related to Feature #2890: GPU Halo Exchange added

#2 - 10/11/2019 05:53 PM - Szilard Pall
- Priority changed from Normal to High

#3 - 12/27/2019 04:21 PM - Paul Bauer
- Target version changed from 2020 to 2021
